--- /dev/null	Thu Apr  2 18:43:04 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/ctype_h.cfg	Thu Apr  2 18:43:04 2015
@@ -0,0 +1,64 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in ctype.h
+#
+
+#
+# Types.
+#
+type | locale_t | ctype.h | -ALL +SUSv4+
+
+#
+# Values.
+#
+
+#
+# Functions
+#
+func | isalnum	| int	| int	| ctype.h	| +ALL
+func | isalpha	| int	| int	| ctype.h	| +ALL
+func | isascii	| int	| int	| ctype.h	| -ALL +XPG3+
+func | isblank	| int	| int	| ctype.h	| -ALL +C99+
+func | iscntrl	| int	| int	| ctype.h	| +ALL
+func | isdigit	| int	| int	| ctype.h	| +ALL
+func | isgraph	| int	| int	| ctype.h	| +ALL
+func | islower	| int	| int	| ctype.h	| +ALL
+func | isprint	| int	| int	| ctype.h	| +ALL
+func | ispunct	| int	| int	| ctype.h	| +ALL
+func | isspace	| int	| int	| ctype.h	| +ALL
+func | isupper	| int	| int	| ctype.h	| +ALL
+func | isxdigit	| int	| int	| ctype.h	| +ALL
+func | toascii	| int	| int	| ctype.h	| -ALL +XPG3+
+func | tolower	| int	| int	| ctype.h	| +ALL
+func | toupper	| int	| int	| ctype.h	| +ALL
+func | _tolower	| int	| int	| ctype.h	| -ALL +XPG3+
+func | _toupper	| int	| int	| ctype.h	| -ALL +XPG3+
+
+func | isalnum_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isalpha_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isblank_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | iscntrl_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isdigit_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isgraph_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | islower_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isprint_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | ispunct_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isspace_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isupper_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | isxdigit_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | tolower_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
+func | toupper_l	| int	| int; locale_t	| ctype.h	| -ALL +SUSv4+
